OrthancPluginMemoryBuffer Struct Reference
Toolbox

A 32-bit memory buffer allocated by the core system of Orthanc. More...

`#include <OrthancCPlugin.h>`

## Public Attributes

void * | data
| The content of the buffer.
uint32_t | size
| The number of bytes in the buffer.

## Detailed Description

A memory buffer allocated by the core system of Orthanc. When the content of the buffer is not useful anymore, it must be free by a call to OrthancPluginFreeMemoryBuffer().

The documentation for this struct was generated from the following file:

- OrthancCPlugin.h